"""
Tests usages of Pytdl from the command line,
mainly the argument parser

Released under Eclipse Public License v1
"""
import subprocess

def test_cmd_help():
    """
    Test using the validate command
    """
    assert subprocess.call(["../pytdl", "-h"]) == 0

def test_cmd_validate():
    """
    Test using the validate command
    """
    assert subprocess.call(["../pytdl", "validate", "../tdl_examples/login.tdlan2"]) == 0


def not_test_cmd_validate_ex1():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call(["../pytdl", "validate", "../tdl_examples/TDL_Part1_Ex1.tdlan2"]) == 0

def test_cmd_validate_ex1_v2():
    """
    Test that the first example from Part 1 (using Package instead of TDLan Specification)
    can be parsed
    """
    assert subprocess.call(["../pytdl", "validate", "../tdl_examples/TDL_Part1_Ex1_v2.tdlan2"]) == 0

def not_test_cmd_validate_ex2():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call(["../pytdl", "validate", "../tdl_examples/TDL_Part1_Ex2.tdlan2"]) == 0

def test_cmd_validate_ex2_v2():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call(["../pytdl", "validate", "../tdl_examples/TDL_Part1_Ex2_v2.tdlan2"]) == 0
